Author Topic: How can update PHP for cwpsrv  (Read 3101 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
How can update PHP for cwpsrv
« on: February 01, 2023, 07:49:04 PM »
Hello everyone,

I search how can i update PHP for cwpsrv in folder /usr/local/cwp/php71
I want PHP version >= 7.3 for installing Roundcube version 1.6.1

But i don't understand how can i update this ...

Thanks for your help :)

Jordan

Offline
****
Re: How can update PHP for cwpsrv
« Reply #1 on: February 02, 2023, 04:06:02 AM »
Although labeled 7.1, it is actually PHP 7.2. We are all waiting on an official upgrade. At this point, as of Nov 2022, PHP 7.x tree is EOL, so we need to be moving on to PHP 8.1.

Offline
*
Re: How can update PHP for cwpsrv
« Reply #2 on: February 02, 2023, 07:56:58 AM »
Hi,

Thanks for your reply.

So there is no way to update PHP by ourselves, we absolutely have to wait for an official update ?

Any idea of the official update date ? because I haven't seen anything about it for php.

Jordan

Offline
****
Re: How can update PHP for cwpsrv
« Reply #3 on: February 02, 2023, 11:51:55 AM »
cwpsrv uses its own internal build of PHP 7.2 (labeled php71) so as to maintain usability no matter what you do with PHP selectors or php-fpm. Absolutely I am running php-ftp 8.1 on my servers and my sites run that version. But you can't upgrade the internal cwpsrv version yourself or you risk breaking everything.

CWP provides a script for updating to the 1.4.x branch of Roundcube:
Code: [Select]
sh /scripts/mail_roundcube_update
But you can update Roundcube yourself to 1.5.0, per Sandeep's directions:
https://www.uxlinux.com/upgrade-to-roundcube-version-mail-on-cwp-centos-webpanel/

Offline
*
Re: How can update PHP for cwpsrv
« Reply #4 on: February 07, 2023, 12:17:21 PM »
https://forum.centos-webpanel.com/index.php?topic=12064.msg43232#msg43232
I've been waiting for an update like this for months.
May there be an update sooner than the discovered CVEs in Roundcube.

Is it possible to completely remove Roundcube?
« Last Edit: February 07, 2023, 12:21:35 PM by tomkolp »

Offline
****
Re: How can update PHP for cwpsrv
« Reply #5 on: February 10, 2023, 06:08:51 AM »
sure, if you want the nuclear option:
rm -rf the roundcube directory, drop the roundcube DB, and disable the webmail portions of your vhost config files.
But you could simply just block :2095 and :2096 in the firewall for now. (But just say NO to plain http:// connections and don't use :2095 anyway!)

Offline
*
Re: How can update PHP for cwpsrv
« Reply #6 on: December 04, 2023, 02:45:28 PM »
Hi,

Thanks for your reply.

So there is no way to update PHP by ourselves, we absolutely have to wait for an official update ?

Any idea of the official update date ? because I haven't seen anything about it for php.

Jordan

I think CWP should update the PHP version of CWP core from 7.2 to 8.x

Is there a date for this?

Offline
****
Re: How can update PHP for cwpsrv
« Reply #7 on: December 04, 2023, 03:28:24 PM »
No word yet on that. I have offered to be an CWP EL9 beta tester, but no confirmation on that either.

Offline
****
Re: How can update PHP for cwpsrv
« Reply #8 on: December 05, 2023, 12:02:11 AM »
You cannot update CWP's PHP, because of the ioncube encoder.  It will probably be months, as a complete rewrite for PHP8 will be required, as well as they have to pay to get the newest encoder for PHP 8.2/8.3.
Google Hangouts:  rcschaff82@gmail.com

Offline
*
Re: How can update PHP for cwpsrv
« Reply #9 on: December 25, 2023, 01:31:04 PM »
Facing an Issue when upgrading from PHP-FPM 8.2.11 to 8.2.13 OR Installing 8.3 with CWP PRO on Almalinux 8.9. Kindly suggest if anyone else also faces same issues in regular updates. What can be the solution to this? Thanks in Advance.

Offline
*
Re: How can update PHP for cwpsrv
« Reply #10 on: February 11, 2024, 08:13:39 AM »
Hi,

Thanks for your reply.

So there is no way to update PHP by ourselves, we absolutely have to wait for an official update ?

Any idea of the official update date ? because I haven't seen anything about it for php.

Jordan

Jordan it is way to often CWP updates/features are years to come, so REMOVE/HIDE these outdated modules where you can, and add your own.
Like the webmail.conf that redirect/proxy "/webmail" (in different upper/lower letters) and "/roundcube" on ALL added domains/sites to  http://localhost:2095/ the unsecure/outdated CWP runtime.
Remove that file or comment content out
Then just add your own installation of RoundCube 1.6.1 or release you want to one of your sites, and you can not use PHP 8 also.

Remove the
Roundcube